import React, { useState } from 'react';
import { render, Box, Text } from 'ink';
import { ResponsiveSelect } from '../source/index.js';
import { preparePlayground } from '../source/utils.js';
import BigText from 'ink-big-text';
preparePlayground();
const options = Array.from({ length: 20 }, (_, i) => ({
    label: `Option ${i + 1}`,
    value: `option-${i + 1}`,
    checked: i % 6 === 0,
}));
const StaticExample = () => {
    const [checkedOptions, setCheckedOptions] = useState();
    return (React.createElement(Box, { flexDirection: "column", margin: 1, gap: 1 },
        React.createElement(BigText, { text: "Demo: Default Value", font: "tiny", colors: ['blue'] }),
        React.createElement(ResponsiveSelect, { options: options, column: 3, onSubmitted: ({ selectedOptions }) => setCheckedOptions(selectedOptions) }),
        React.createElement(Text, { color: "green" },
            "Checked options: ",
            checkedOptions?.map(o => o.label).join(', '))));
};
render(React.createElement(StaticExample, null));
//# sourceMappingURL=default-value.js.map