import React, { useState } from 'react';
import { render, Box, Text } from 'ink';
import { ResponsiveSelect } from '../source/index.js';
import { preparePlayground } from '../source/utils.js';
import BigText from 'ink-big-text';
preparePlayground();
const options = Array.from({ length: 20 }, (_, i) => ({
    label: `Option ${i + 1}`,
    value: `option-${i + 1}`,
    checked: false,
}));
const EventsExample = () => {
    const [checkedOptions, setCheckedOptions] = useState();
    const [lastChangedOption, setLastChangedOption] = useState();
    return (React.createElement(Box, { flexDirection: "column", margin: 1 },
        React.createElement(BigText, { text: "Demo: Events", font: "tiny", colors: ['blue'] }),
        React.createElement(ResponsiveSelect, { options: options, onChanged: ({ changedOption }) => setLastChangedOption(changedOption), onSubmitted: ({ selectedOptions }) => setCheckedOptions(selectedOptions) }),
        React.createElement(Box, { flexDirection: "column", marginTop: 1 },
            React.createElement(Text, { color: "green" },
                "Last changed option: ",
                lastChangedOption?.label,
                !lastChangedOption
                    ? ''
                    : lastChangedOption.checked
                        ? ' (checked)'
                        : ' (unchecked)'),
            React.createElement(Text, { color: "green" },
                "Checked options: ",
                checkedOptions?.map(o => o.label).join(', ')))));
};
render(React.createElement(EventsExample, null));
//# sourceMappingURL=events.js.map