import React, { useState } from 'react';
import { render, Box, Text } from 'ink';
import { ResponsiveSelect } from '../source/index.js';
import { preparePlayground } from '../source/utils.js';
import BigText from 'ink-big-text';
preparePlayground();
const options = Array.from({ length: 26 }, (_, i) => ({
    label: `Opt ${i + 1}`,
    value: `option-${i + 1}`,
    checked: false,
}));
const ResponsiveExample = () => {
    const [checkedOptions, setCheckedOptions] = useState();
    return (React.createElement(Box, { flexDirection: "column", margin: 1, gap: 1 },
        React.createElement(BigText, { text: "Demo: Responsive", font: "tiny", colors: ['blue'] }),
        React.createElement(Text, null, "Please resize terminal width and use arrow keys for navigate."),
        React.createElement(ResponsiveSelect, { options: options, column: "auto", onSubmitted: ({ selectedOptions }) => setCheckedOptions(selectedOptions) }),
        React.createElement(Text, { color: "green" },
            "Checked options: ",
            checkedOptions?.map(o => o.label))));
};
render(React.createElement(ResponsiveExample, null));
//# sourceMappingURL=responsive.js.map