import React from 'react';
import { Box } from 'ink';
import { Checkbox } from 'ink-checkbox';
export const Column = props => {
    const { columnNo, columItemCount, options, focusedIndex, onChanged, onSubmitted, } = props;
    return (React.createElement(Box, { key: columnNo, flexDirection: "column" }, options.map(option => (React.createElement(Checkbox, { key: option.value, label: option.label, checked: option.checked, focused: focusedIndex === columnNo * columItemCount + options.indexOf(option), styles: {
            icon: {
                checked: 'bullet',
                focused: 'circle',
                normal: 'circle',
            },
        }, onChanged: onChanged, onSubmitted: onSubmitted })))));
};
//# sourceMappingURL=column.js.map